<Type Name="TypeDescriptor" FullName="System.ComponentModel.TypeDescriptor">
  <TypeSignature Language="C#" Value="public sealed class TypeDescriptor" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="AddEditorTable">
      <MemberSignature Language="C#" Value="public static void AddEditorTable (Type editorBaseType, Collections.Hashtable table);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="editorBaseType" Type="System.Type" />
		<Parameter Name="table" Type="System.Collections.Hashtable" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="editorBaseType">To be added: an object of type 'Type'</param>
        <param name="table">To be added: an object of type 'Collections.Hashtable'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateDesigner">
      <MemberSignature Language="C#" Value="public static Design.IDesigner CreateDesigner (IComponent component, Type designerBaseType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.Design.IDesigner</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.ComponentModel.IComponent" />
		<Parameter Name="designerBaseType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'IComponent'</param>
        <param name="designerBaseType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'Design.IDesigner'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateEvent">
      <MemberSignature Language="C#" Value="public static EventDescriptor CreateEvent (Type componentType, string name, Type type, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="type" Type="System.Type" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'Type'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'EventDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateEvent">
      <MemberSignature Language="C#" Value="public static EventDescriptor CreateEvent (Type componentType, EventDescriptor oldEventDescriptor, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
		<Parameter Name="oldEventDescriptor" Type="System.ComponentModel.EventDescriptor" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <param name="oldEventDescriptor">To be added: an object of type 'EventDescriptor'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'EventDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateProperty">
      <MemberSignature Language="C#" Value="public static PropertyDescriptor CreateProperty (Type componentType, string name, Type type, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
		<Parameter Name="name" Type="System.String" />
		<Parameter Name="type" Type="System.Type" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <param name="name">To be added: an object of type 'string'</param>
        <param name="type">To be added: an object of type 'Type'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'PropertyDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateProperty">
      <MemberSignature Language="C#" Value="public static PropertyDescriptor CreateProperty (Type componentType, PropertyDescriptor oldPropertyDescriptor, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
		<Parameter Name="oldPropertyDescriptor" Type="System.ComponentModel.PropertyDescriptor" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <param name="oldPropertyDescriptor">To be added: an object of type 'PropertyDescriptor'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'PropertyDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetAttributes">
      <MemberSignature Language="C#" Value="public static AttributeCollection GetAttributes (Type componentType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.AttributeCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'AttributeCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetAttributes">
      <MemberSignature Language="C#" Value="public static AttributeCollection GetAttributes (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.AttributeCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'AttributeCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetAttributes">
      <MemberSignature Language="C#" Value="public static AttributeCollection GetAttributes (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.AttributeCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'AttributeCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetClassName">
      <MemberSignature Language="C#" Value="public static string GetClassName (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetClassName">
      <MemberSignature Language="C#" Value="public static string GetClassName (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetComponentName">
      <MemberSignature Language="C#" Value="public static string GetComponentName (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetComponentName">
      <MemberSignature Language="C#" Value="public static string GetComponentName (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetConverter">
      <MemberSignature Language="C#" Value="public static TypeConverter GetConverter (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.TypeConverter</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'TypeConverter'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetConverter">
      <MemberSignature Language="C#" Value="public static TypeConverter GetConverter (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.TypeConverter</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'TypeConverter'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetConverter">
      <MemberSignature Language="C#" Value="public static TypeConverter GetConverter (Type type);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.TypeConverter</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="type" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="type">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'TypeConverter'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetDefaultEvent">
      <MemberSignature Language="C#" Value="public static EventDescriptor GetDefaultEvent (Type componentType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'EventDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetDefaultEvent">
      <MemberSignature Language="C#" Value="public static EventDescriptor GetDefaultEvent (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'EventDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetDefaultEvent">
      <MemberSignature Language="C#" Value="public static EventDescriptor GetDefaultEvent (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'EventDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetDefaultProperty">
      <MemberSignature Language="C#" Value="public static PropertyDescriptor GetDefaultProperty (Type componentType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'PropertyDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetDefaultProperty">
      <MemberSignature Language="C#" Value="public static PropertyDescriptor GetDefaultProperty (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'PropertyDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetDefaultProperty">
      <MemberSignature Language="C#" Value="public static PropertyDescriptor GetDefaultProperty (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptor</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'PropertyDescriptor'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEditor">
      <MemberSignature Language="C#" Value="public static object GetEditor (object component, Type editorBaseType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="editorBaseType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="editorBaseType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEditor">
      <MemberSignature Language="C#" Value="public static object GetEditor (object component, Type editorBaseType, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="editorBaseType" Type="System.Type" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="editorBaseType">To be added: an object of type 'Type'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEditor">
      <MemberSignature Language="C#" Value="public static object GetEditor (Type type, Type editorBaseType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Object</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="type" Type="System.Type" />
		<Parameter Name="editorBaseType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="type">To be added: an object of type 'Type'</param>
        <param name="editorBaseType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'object'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEvents">
      <MemberSignature Language="C#" Value="public static EventDescriptorCollection GetEvents (Type componentType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'EventDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEvents">
      <MemberSignature Language="C#" Value="public static EventDescriptorCollection GetEvents (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'EventDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEvents">
      <MemberSignature Language="C#" Value="public static EventDescriptorCollection GetEvents (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'EventDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEvents">
      <MemberSignature Language="C#" Value="public static EventDescriptorCollection GetEvents (Type componentType, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'EventDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEvents">
      <MemberSignature Language="C#" Value="public static EventDescriptorCollection GetEvents (object component, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'EventDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetEvents">
      <MemberSignature Language="C#" Value="public static EventDescriptorCollection GetEvents (object component, Attribute [] attributes, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.EventDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'EventDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetProperties">
      <MemberSignature Language="C#" Value="public static PropertyDescriptorCollection GetProperties (Type componentType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <returns>To be added: an object of type 'PropertyDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetProperties">
      <MemberSignature Language="C#" Value="public static PropertyDescriptorCollection GetProperties (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <returns>To be added: an object of type 'PropertyDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetProperties">
      <MemberSignature Language="C#" Value="public static PropertyDescriptorCollection GetProperties (object component, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'PropertyDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetProperties">
      <MemberSignature Language="C#" Value="public static PropertyDescriptorCollection GetProperties (Type componentType, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="componentType" Type="System.Type" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="componentType">To be added: an object of type 'Type'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'PropertyDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetProperties">
      <MemberSignature Language="C#" Value="public static PropertyDescriptorCollection GetProperties (object component, Attribute [] attributes);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <returns>To be added: an object of type 'PropertyDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetProperties">
      <MemberSignature Language="C#" Value="public static PropertyDescriptorCollection GetProperties (object component, Attribute [] attributes, bool noCustomTypeDesc);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.PropertyDescriptorCollection</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
		<Parameter Name="attributes" Type="System.Attribute[]" />
		<Parameter Name="noCustomTypeDesc" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <param name="attributes">To be added: an object of type 'Attribute []'</param>
        <param name="noCustomTypeDesc">To be added: an object of type 'bool'</param>
        <returns>To be added: an object of type 'PropertyDescriptorCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Refresh">
      <MemberSignature Language="C#" Value="public static void Refresh (object component);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="component" Type="System.Object" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="component">To be added: an object of type 'object'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Refresh">
      <MemberSignature Language="C#" Value="public static void Refresh (Type type);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="type" Type="System.Type" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="type">To be added: an object of type 'Type'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Refresh">
      <MemberSignature Language="C#" Value="public static void Refresh (Reflection.Module module);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="module" Type="System.Reflection.Module" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="module">To be added: an object of type 'Reflection.Module'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Refresh">
      <MemberSignature Language="C#" Value="public static void Refresh (Reflection.Assembly assembly);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="assembly" Type="System.Reflection.Assembly" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="assembly">To be added: an object of type 'Reflection.Assembly'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="SortDescriptorArray">
      <MemberSignature Language="C#" Value="public static void SortDescriptorArray (Collections.IList infos);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="infos" Type="System.Collections.IList" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="infos">To be added: an object of type 'Collections.IList'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ComNativeDescriptorHandler">
      <MemberSignature Language="C#" Value="public static IComNativeDescriptorHandler ComNativeDescriptorHandler { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.IComNativeDescriptorHandler</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'IComNativeDescriptorHandler'</param>
        <returns>To be added: an object of type 'IComNativeDescriptorHandler'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Refreshed">
      <MemberSignature Language="C#" Value="public static event RefreshEventHandler Refreshed;" />
      <MemberType>Event</MemberType>
      <ReturnValue>
        <ReturnType>System.ComponentModel.RefreshEventHandler</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
